#### D.15.3.24 ChernRootsSymm

Procedure from library `chern.lib` (see chern_lib).

Usage:
  ChernRootsSymm(m, l); m integer, l a list of polynomials

Return:
  list of polynomials

Purpose:
  computes the Chern roots of m-th symmetric power
  of a vector bundle with Chern roots from l

Note:

Example:

    LIB "chern.lib";
    ring r=0, (a(1..3)), dp;
    list l=a(1..3);
    // the Chern roots of the second symmetric power of a vector bundle
    // with Chern  roots a(1), a(2), a(3)
    print( ChernRootsSymm(2, l) );
    ==> [1]:
    ==>    2*a(1)
    ==> [2]:
    ==>    a(1)+a(2)
    ==> [3]:
    ==>    a(1)+a(3)
    ==> [4]:
    ==>    2*a(2)
    ==> [5]:
    ==>    a(2)+a(3)
    ==> [6]:
    ==>    2*a(3)

User manual for Singular version 4-0-3, 2016, generated by texi2html.